> ## Documentation Index
> Fetch the complete documentation index at: https://aci.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Configuration

> Get an app configuration by app name



## OpenAPI

````yaml get /v1/app-configurations/{app_name}
openapi: 3.1.0
info:
  title: Aipolabs
  version: 0.0.1-beta.3
servers: []
security: []
paths:
  /v1/app-configurations/{app_name}:
    get:
      tags:
        - app-configurations
      summary: Get App Configuration
      description: Get an app configuration by app name
      operationId: app-configurations-get_app_configuration
      parameters:
        - name: app_name
          in: path
          required: true
          schema:
            type: string
            title: App Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppConfigurationPublic'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AppConfigurationPublic:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        app_name:
          type: string
          title: App Name
        security_scheme:
          $ref: '#/components/schemas/SecurityScheme'
        security_scheme_overrides:
          type: object
          title: Security Scheme Overrides
        enabled:
          type: boolean
          title: Enabled
        all_functions_enabled:
          type: boolean
          title: All Functions Enabled
        enabled_functions:
          items:
            type: string
          type: array
          title: Enabled Functions
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - project_id
        - app_name
        - security_scheme
        - security_scheme_overrides
        - enabled
        - all_functions_enabled
        - enabled_functions
        - created_at
        - updated_at
      title: AppConfigurationPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SecurityScheme:
      type: string
      enum:
        - no_auth
        - api_key
        - http_basic
        - http_bearer
        - oauth2
      title: SecurityScheme
      description: security scheme type for an app (or function if support override)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for authentication
      in: header
      name: X-API-KEY

````